GET
/global-networks/{globalNetworkId}/link-associations
http://networkmanager.{region}.amazonaws.com/global-networks/{globalNetworkId}/link-associationsGets the link associations for a device or a link. Either the device ID or the link ID must be specified.
Access Token Required: API Key
Path Parameters
globalNetworkIdstringrequired
The ID of the global network.
Query Params
deviceIdstring
The ID of the device.
linkIdstring
The ID of the link.
maxResultsinteger
The maximum number of results to return.
nextTokenstring
The token for the next page of results.
MaxResultsstring
Pagination limit
NextTokenstring
Pagination token
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request GET \2 --url 'http://networkmanager.{region}.amazonaws.com/global-networks/{globalNetworkId}/link-associations' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}